> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Updates the SendGrid credentials for the given app.

# Update SendGrid credentials

For the complete error reference, see [Error Guide](/rest-api/notifications-apis/error-codes).


## OpenAPI

````yaml put /notifications/email/v1/providers/sendgrid
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /notifications/email/v1/providers/sendgrid:
    put:
      tags:
        - Notifications
      summary: Update SendGrid credentials
      description: Updates the SendGrid credentials for the given app.
      operationId: notifications-email-update-sendgrid-details
      requestBody:
        content:
          application/json:
            schema:
              properties:
                sendGridApiKey:
                  description: The SendGrid API key
                  type: string
                  example: SG.9ipFP4b17yT-Fff2GGrH8FF0GqdkBohXAEI4GnTSj9Q=
                sendGridTemplateID:
                  description: The SendGrid template ID
                  type: string
                  example: d-8284bb9646a040499d5cfa28d272a094
                sendGridUnsubscribeGroupID:
                  description: The SendGrid unsubscribe group ID
                  type: string
                  example: '33832'
                senderName:
                  description: The name of the sender
                  type: string
                  example: Emailer
                senderEmail:
                  description: The email address of the sender
                  type: string
                  example: noreply@em123.example.com
                allowEmailReplies:
                  type: boolean
                  default: false
                senderEmailForReplies:
                  description: The email address when replies are enabled (optional)
                  type: string
                  example: reply@em123.example.com
                  nullable: true
                isEnabled:
                  description: Enable SendGrid
                  type: boolean
              type: object
      responses:
        '200':
          description: A list of push notification's settings
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items: {}
                  meta:
                    type: object
                type: object
              example:
                data:
                  allowEmailReplies: true
                  sendGridApiKey: sendgrid_key
                  sendGridTemplateID: template_id
                  sendGridUnsubscribeGroupID: '12312'
                  senderEmail: noreply@em123.example.com
                  senderEmailForReplies: reply@em123.example.com
                  senderName: Emailer
                  repliesWebhook: >-
                    https://notifications-us.cometchat.io/email/v1/sendgrid/replies?token=GY40_1kWlnc2Lo7Lk8vWWxiNJ6BmEEpV4eZsUeMr328
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````